## sbcl 0.7.2

=== tools-for-build/Makefile ===
# This software is part of the SBCL system. See the README file for
# more information.
#
# This software is derived from the CMU CL system, which was
# written at Carnegie Mellon University and released into the
# public domain. The software is in the public domain and is
# provided with absolutely no warranty. See the COPYING and CREDITS
# files for more information.

all: grovel_headers

clean: 
	rm -f *.o grovel_headers

## sbcl 0.8.16

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -7,7 +7,12 @@
 # provided with absolutely no warranty. See the COPYING and CREDITS
 # files for more information.
 
-all: grovel_headers
+-include Config
+
+CPPFLAGS:=-I../src/runtime
+LDFLAGS:=$(LDFLAGS) $(OS_LIBS)
+
+all: grovel-headers determine-endianness where-is-mcontext modify-ldt-struct-name 
 
 clean: 
-	rm -f *.o grovel_headers
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext modify-ldt-structure-name

## sbcl 0.8.18

=== doc/manual/Makefile ===
SBCLTEXI:=sbcl.texinfo
ASDFTEXI:=asdf.texinfo
DOCFILES:=*.texinfo $(ASDFTEXI)
TMPTYPES:=aux cps fns ky log pg toc tps vrs
TMPFILES:=$(foreach target,asdf sbcl,$(foreach type,$(TMPTYPES),$(target).$(type)))
PSFILES=sbcl.ps asdf.ps
PDFFILES=sbcl.pdf asdf.pdf
INFOFILES=sbcl.info asdf.info
HTMLDIRS=$(basename $(SBCLTEXI)) $(basename $(ASDFTEXI))
# Place where generated documentation ends up. The value of
# DOCSTRINGDIR has to end with a slash or you lose (it's passed to
# Lisp's `pathname' function).
DOCSTRINGDIR="docstrings/"
I_FLAGS=-I $(DOCSTRINGDIR) -I ../../contrib/
# List of contrib modules that docstring docs will be created for.
# FIXME: should check test-passed and not load them.
MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets'
# List of package names that docstring docs will be created for.
PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS"

ifeq ($(MAKEINFO),)
  MAKEINFO:=makeinfo
endif

ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2pdf
endif

ifeq ($(DVIPS),)
  DVIPS:=dvips
endif

.PHONY: all
all: asdf.texinfo ps pdf info html

.PHONY: dist
dist: html pdf

asdf.texinfo:
	rm -f asdf.texinfo
	ln -s ../../contrib/asdf/asdf.texinfo

# html documentation; output in $(HTMLDIRS)
.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) docstrings
	@rm -rf $(HTMLDIRS)
	$(MAKEINFO) $(I_FLAGS) --html $(SBCLTEXI)
	$(MAKEINFO) --html $(ASDFTEXI)
	touch html-stamp

# Postscript documentation
.PHONY: ps
ps: $(PSFILES)

%.ps: %.dvi
	dvips -o $@ $<

# DVI generation
%.dvi: %.texinfo $(DOCFILES) docstrings
	texi2dvi $(I_FLAGS) $<

# PDF documentation
.PHONY: pdf
pdf: $(PDFFILES)

%.pdf: %.texinfo $(DOCFILES) docstrings
	texi2pdf $(I_FLAGS) $<

# info docfiles
.PHONY: info
info: $(INFOFILES)

%.info: %.texinfo $(DOCFILES) docstrings
	$(MAKEINFO) $(I_FLAGS) $<

# Texinfo docstring snippets
.PHONY: docstrings
docstrings: tempfiles-stamp

tempfiles-stamp:
	DOCSTRINGDIR=$(DOCSTRINGDIR) PACKAGES=$(PACKAGES) MODULES=$(MODULES) sh make-tempfiles.sh && touch tempfiles-stamp


.PHONY: clean
clean: 
	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
	rm -f contrib-docs.texi-temp
	rm -f package-locks.texi-temp
	rm -f $(PSFILE) $(PDFFILE) $(DVIFILE) html-stamp tempfiles-stamp
	rm -f $(TMPFILES)
	rm -f sbcl.info sbcl.info-*

.PHONY: distclean
distclean: clean

## sbcl 0.8.21+truly.0.8.12

=== doc/Makefile ===
# Makefile for SBCL document generation

# This file is part of the SBCL system. It was copied from UFFI and
# placed into the public domain by the original author, Kevin
# Rosenberg.

DOCFILE_BASE_DEFAULT:=user-manual
DOCFILE_EXT_DEFAULT:=xml

SYSTEM:=$(shell uname)

ifeq ($(SYSTEM),Linux) 
  ifneq ($(shell expr "`cat /etc/issue`" : '.*Debian.*'),0)
    # Old Debian used /usr/share/sgml/docbook, new Debian uses
    # /usr/share/xml/docbook. 
    ifneq ($(shell expr "`ls -d /usr/share/xml`" : '.*/usr/share/xml.*'),0)
      OS:=debian
    else
      # Evidently it's not a new-style Debian DocBook setup, ergo:
      OS:=debian-old
    endif
  else
    ifneq ($(shell expr "`cat /etc/issue`" : '.*SuSE.*'),0)
      OS=suse
    else   
      ifneq ($(shell expr "`cat /etc/issue`" : 'Red Hat Linux release 9'),0)
        OS=redhat9
      else   
        ifneq ($(shell expr "`cat /etc/issue`" : '.*Yarrow.*'),0)
          OS=fedora1
        endif
      endif
    endif
  endif
endif

ifeq ($(SYSTEM),Darwin)
  OS:=fink
endif

ifndef DOCFILE_BASE
DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
endif

ifndef DOCFILE_EXT
DOCFILE_EXT=${DOCFILE_EXT_DEFAULT}
endif

DOCFILE:=${DOCFILE_BASE}.${DOCFILE_EXT}
FOFILE:=${DOCFILE_BASE}.fo
PDFFILE:=${DOCFILE_BASE}.pdf
PSFILE:=${DOCFILE_BASE}.ps
DVIFILE:=${DOCFILE_BASE}.dvi
TXTFILE:=${DOCFILE_BASE}.txt
HTMLFILE:=${DOCFILE_BASE}.html
TMPFILES:=${DOCFILE_BASE}.aux ${DOCFILE_BASE}.out ${DOCFILE_BASE}.log
DOCFILES:=$(shell echo *.xml *.xsl)

ifeq ($(XSLTPROC),)
  XSLTPROC:=xsltproc
endif

CATALOG:=`pwd`/catalogs/catalog-${OS}.xml
CHECK:=XML_CATALOG_FILES="$(CATALOG)" xmllint --noout --xinclude --postvalid $(DOCFILE) || exit 1

.PHONY: all
all: html 

.PHONY: dist
dist: html pdf

.PHONY: doc
doc: html pdf

.PHONY: check
check:
	@echo "Operating system detected: ${OS}"
	@$(CHECK)

.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) Makefile 
	@rm -rf html
	@mkdir html
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
	touch html-stamp

.PHONY: fo
fo: ${FOFILE}

${FOFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)

.PHONY: pdf
pdf: ${PDFFILE}

${PDFFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -pdf $(PDFFILE) > /dev/null

.PHONY: dvi
dvi: ${DVIFILE}

.PHONY: ps
ps: ${PSFILE}

${PSFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -ps $(PSFILE) > /dev/null


.PHONY: txt
txt: ${TXTFILE}

${TXTFILE}: ${FOFILE}
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)
	lynx -dump ${HTMLFILE} > ${TXTFILE}

.PHONY: clean
clean: 
	@rm -f *~ *.bak *.orig \#*\# .\#* texput.log
	@rm -rf html $(PSFILE) $(HTMLFILE) $(PDFFILE) html-stamp
	@rm -f $(TMPFILES) $(FOFILE)
	@rm -f  $(DVIFILE) $(TXTFILE)

.PHONY: distclean
distclean: clean

=== doc/manual/Makefile ===

DOCFILES:=$(shell echo *.texinfo)
ROOTFILE:=sbcl.texinfo
TMPFILES:=sbcl.aux sbcl.cp sbcl.fn sbcl.ky sbcl.log sbcl.pg sbcl.toc sbcl.tp sbcl.vr

PSFILE=sbcl.ps
PDFFILE=sbcl.pdf
DVIFILE=sbcl.dvi
INFOFILE=sbcl.info
HTMLDIR=$(basename $(ROOTFILE))
# Place where generated documentation ends up. The value of
# DOCSTRINGDIR has to end with a slash or you lose (it's passed to
# Lisp's `pathname' function).
DOCSTRINGDIR="docstrings/"
# List of contrib modules that docstring docs will be created for.
# FIXME: should check test-passed and not load them.
MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof'
# List of package names that docstring docs will be created for.
PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF"


ifeq ($(MAKEINFO),)
  MAKEINFO:=makeinfo
endif

ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2pdf
endif

ifeq ($(DVIPS),)
  DVIPS:=dvips
endif

.PHONY: all
all: ps pdf info html

.PHONY: dist
dist: html pdf



# html documentation; output in $(HTMLDIR)
.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) docstrings
	@rm -rf $(HTMLDIR)
	$(MAKEINFO) -I $(DOCSTRINGDIR) --html $(ROOTFILE)
	touch html-stamp

# Postscript documentation
.PHONY: ps
ps: $(PSFILE)

$(PSFILE): $(DVIFILE)
	dvips -o $@ $<

$(DVIFILE): $(DOCFILES) docstrings
	texi2dvi -I $(DOCSTRINGDIR) $(ROOTFILE)

# PDF documentation
.PHONY: pdf
pdf: $(PDFFILE)

$(PDFFILE): $(DOCFILES) docstrings
	texi2pdf -I $(DOCSTRINGDIR) $(ROOTFILE)

# info docfiles
.PHONY: info
info: $(INFOFILE)

$(INFOFILE): $(DOCFILES) docstrings
	$(MAKEINFO) -I $(DOCSTRINGDIR) $(ROOTFILE)

# contrib-modules.texinfo includes contrib-doc-list.texi-temp
contrib-modules.texinfo: tempfiles-stamp

# Texinfo docstring snippets
.PHONY: docstrings
docstrings: tempfiles-stamp

tempfiles-stamp:
	DOCSTRINGDIR=$(DOCSTRINGDIR) PACKAGES=$(PACKAGES) MODULES=$(MODULES) sh make-tempfiles.sh && touch tempfiles-stamp


.PHONY: clean
clean: 
	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
	rm -rf $(HTMLDIR) $(DOCSTRINGDIR)
	rm -f contrib-docs.texi-temp
	rm -f $(PSFILE) $(PDFFILE) $(DVIFILE) html-stamp tempfiles-stamp
	rm -f $(TMPFILES) contrib-doc-list.texi-temp
	rm -f sbcl.info sbcl.info-*

.PHONY: distclean
distclean: clean

## sbcl 0.9.2.0

=== doc/internals/Makefile ===
.PHONY: top info clean all

all: info pdf

top:
	sh make-top.sh

info: top
	makeinfo sbcl-internals.texinfo

pdf: top
	texi2pdf sbcl-internals.texinfo

clean: 
	rm -f *.include *.info *.pdf *~ *.cp *.fn *.ky *.log *.pg *.toc \
		*.tp *.vr *.aux

=== doc/manual/Makefile ===
SBCLTEXI:=sbcl.texinfo
ASDFTEXI:=asdf.texinfo
DOCFILES:=*.texinfo $(ASDFTEXI)
TMPTYPES:=aux cp cps fn fns ky log pg toc tp tps vr vrs
TMPFILES:=$(foreach target,asdf sbcl,$(foreach type,$(TMPTYPES),$(target).$(type)))
PSFILES=sbcl.ps asdf.ps
PDFFILES=sbcl.pdf asdf.pdf
INFOFILES=sbcl.info asdf.info
HTMLDIRS=$(basename $(SBCLTEXI)) $(basename $(ASDFTEXI))
# Place where generated documentation ends up. The value of
# DOCSTRINGDIR has to end with a slash or you lose (it's passed to
# Lisp's `pathname' function).
DOCSTRINGDIR="docstrings/"
I_FLAGS=-I $(DOCSTRINGDIR) -I ../../contrib/
# List of contrib modules that docstring docs will be created for.
# FIXME: should check test-passed and not load them.
MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets'
# List of package names that docstring docs will be created for.
PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS"

# SBCL_SYSTEM is an optional argument to this make program. If this
# variable is set, its contents are used as the command line for
# invoking SBCL.

# When passing a non-standard SBCL_SYSTEM, be sure to set the
# environment variable SBCL_HOME to a useful value, as well.

ifeq ($(MAKEINFO),)
  MAKEINFO:=makeinfo
endif

ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2pdf
endif

ifeq ($(DVIPS),)
  DVIPS:=dvips
endif

.PHONY: all
all: asdf.texinfo ps pdf info html

.PHONY: dist
dist: html pdf

asdf.texinfo:
	rm -f asdf.texinfo
	ln -s ../../contrib/asdf/asdf.texinfo

# html documentation; output in $(HTMLDIRS)
.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) docstrings
	@rm -rf $(HTMLDIRS)
	$(MAKEINFO) $(I_FLAGS) --html $(SBCLTEXI)
	$(MAKEINFO) --html $(ASDFTEXI)
	touch html-stamp

# Postscript documentation
.PHONY: ps
ps: $(PSFILES)

%.ps: %.dvi
	dvips -o $@ $<

# DVI generation
%.dvi: %.texinfo $(DOCFILES) docstrings
	texi2dvi $(I_FLAGS) $<

# PDF documentation
.PHONY: pdf
pdf: $(PDFFILES)

%.pdf: %.texinfo $(DOCFILES) docstrings
	texi2pdf $(I_FLAGS) $<

# info docfiles
.PHONY: info
info: $(INFOFILES)

%.info: %.texinfo $(DOCFILES) docstrings
	$(MAKEINFO) $(I_FLAGS) $<

# Texinfo docstring snippets
.PHONY: docstrings
docstrings: tempfiles-stamp

tempfiles-stamp:
	DOCSTRINGDIR=$(DOCSTRINGDIR) PACKAGES=$(PACKAGES) MODULES=$(MODULES) sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch tempfiles-stamp


.PHONY: clean
clean: 
	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
	rm -f contrib-docs.texi-temp
	rm -f package-locks.texi-temp
	rm -f $(PSFILES) $(PDFFILES) html-stamp tempfiles-stamp
	rm -f $(TMPFILES) $(INDEXFILES)
	rm -f sbcl.info sbcl.info-* asdf.info

.PHONY: distclean
distclean: clean

## sbcl 0.9.8.0

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -12,7 +12,9 @@
 CPPFLAGS:=-I../src/runtime
 LDFLAGS:=$(LDFLAGS) $(OS_LIBS)
 
-all: grovel-headers determine-endianness where-is-mcontext modify-ldt-struct-name 
+all: grovel-headers determine-endianness where-is-mcontext \
+        modify-ldt-struct-name sigaction-sa-nodefer-works-test
 
-clean: 
-	rm -f *.o grovel-headers determine-endianness where-is-mcontext modify-ldt-structure-name
+clean:
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext \
+                modify-ldt-structure-name sigaction-sa-nodefer-works-test

=== contrib/asdf/Makefile ===
MODULE=asdf
include ../vanilla-module.mk


test::
	true

up:
	cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/cclan \
		co -kv -p asdf/asdf.lisp >/tmp/$$$$ &&\
		mv /tmp/$$$$ asdf.lisp
	cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/cclan \
		co -kv -p asdf/README  >/tmp/$$$$ &&\
		mv /tmp/$$$$ README

=== doc/internals/Makefile ===
.PHONY: top clean html all

all: sbcl-internals.pdf sbcl-internals.info

top:
	sh make-top.sh

info: top
	makeinfo sbcl-internals.texinfo

%.eps: %.dot
	dot -Tps -Gsize="5,5" -Gratio=compress -Gconcentrate=true $< > $@

%.png: %.dot
	dot -Tpng -Gsize="5,5" -Gratio=compress -Gconcentrate=true $< > $@

%.txt: %.dot
	# FIXME.
	dot -Tcanon $< > $@

%.pdf: %.eps
	epstopdf $< > $@

sbcl-internals.pdf: top $(patsubst %.dot,%.pdf,$(wildcard *.dot)) *.texinfo
	texi2pdf sbcl-internals.texinfo

sbcl-internals.info: top $(patsubst %.dot,%.txt,$(wildcard *.dot)) *.texinfo

html: html-stamp

html-stamp: top $(patsubst %.dot,%.png,$(wildcard *.dot)) *.texinfo
	makeinfo --html sbcl-internals.texinfo 
	# FIXME
	cp -f *.png sbcl-internals
	touch html-stamp
clean: 
	rm -rf *.include *.info *.pdf *~ *.cp *.fn *.ky *.log *.pg *.toc \
		*.tp *.vr *.aux *.eps *.png *.dvi *.ps *.txt *.fns \
		html-stamp sbcl-internals/

=== doc/manual/Makefile ===
--- 
+++ 
@@ -96,6 +96,7 @@
 	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
 	rm -f contrib-docs.texi-temp
 	rm -f package-locks.texi-temp
+	rm -f variables.texinfo
 	rm -f $(PSFILES) $(PDFFILES) html-stamp tempfiles-stamp
 	rm -f $(TMPFILES) $(INDEXFILES)
 	rm -f sbcl.info sbcl.info-* asdf.info

## sbcl 1.0.6.0

=== doc/manual/Makefile ===
--- 
+++ 
@@ -11,12 +11,12 @@
 # DOCSTRINGDIR has to end with a slash or you lose (it's passed to
 # Lisp's `pathname' function).
 DOCSTRINGDIR="docstrings/"
-I_FLAGS=-I $(DOCSTRINGDIR) -I ../../contrib/
+CONTRIBDIR="../../contrib/"
+I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIBDIR)
 # List of contrib modules that docstring docs will be created for.
-# FIXME: should check test-passed and not load them.
-MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets'
+MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets :sb-cover'
 # List of package names that docstring docs will be created for.
-PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS"
+PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS :SB-COVER"
 
 # SBCL_SYSTEM is an optional argument to this make program. If this
 # variable is set, its contents are used as the command line for
@@ -83,12 +83,16 @@
 	$(MAKEINFO) $(I_FLAGS) $<
 
 # Texinfo docstring snippets
-.PHONY: docstrings
-docstrings: tempfiles-stamp
+# Note: assumes contrib module names are the same as the names of
+# directories containing the modules, and that these directories
+# are in $(CONTRIBDIR).
+CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIBDIR)|g") -name '*.fasl')
+docstrings: $(CONTRIB_FASLS) tempfiles-stamp
+	for module in $(shell echo $(MODULES)); do test -e $(CONTRIBDIR)/$${module#:}/test-passed || { echo "The documented contrib $$module seems to have failed its tests." && exit 1; }; done
+	DOCSTRINGDIR=$(DOCSTRINGDIR) PACKAGES=$(PACKAGES) MODULES=$(MODULES) sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch $(DOCSTRINGDIR)
 
 tempfiles-stamp:
-	DOCSTRINGDIR=$(DOCSTRINGDIR) PACKAGES=$(PACKAGES) MODULES=$(MODULES) sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch tempfiles-stamp
-
+	touch tempfiles-stamp
 
 .PHONY: clean
 clean:

## sbcl 1.0.18.0

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 # provided with absolutely no warranty. See the COPYING and CREDITS
 # files for more information.
 
+-include genesis/Makefile.features
 -include Config
 
 CPPFLAGS:=-I../src/runtime

=== contrib/asdf-install/Makefile ===
SYSTEM=asdf-install
include ../asdf-module.mk

=== contrib/asdf/Makefile ===
MODULE=asdf
include ../vanilla-module.mk


test::
	true

up:
	cvs -d :pserver:anonymous@cclan.cvs.sourceforge.net:/cvsroot/cclan \
		co -kv -p asdf/asdf.lisp >/tmp/$$$$ &&\
		mv /tmp/$$$$ asdf.lisp
	cvs -d :pserver:anonymous@cclan.cvs.sourceforge.net:/cvsroot/cclan \
		co -kv -p asdf/README  >/tmp/$$$$ &&\
		mv /tmp/$$$$ README

=== contrib/sb-sprof/Makefile ===
MODULE=sb-sprof
include ../vanilla-module.mk

test::
	        true

=== doc/manual/Makefile ===
--- 
+++ 
@@ -14,9 +14,9 @@
 CONTRIBDIR="../../contrib/"
 I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIBDIR)
 # List of contrib modules that docstring docs will be created for.
-MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets :sb-cover'
+MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
 # List of package names that docstring docs will be created for.
-PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS :SB-COVER"
+PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX"
 
 # SBCL_SYSTEM is an optional argument to this make program. If this
 # variable is set, its contents are used as the command line for
@@ -30,7 +30,7 @@
 endif
 
 ifeq ($(TEXI2PDF),)
-  TEXI2PDF:=texi2pdf
+  TEXI2PDF:=texi2dvi -p
 endif
 
 ifeq ($(DVIPS),)
@@ -73,7 +73,7 @@
 pdf: $(PDFFILES)
 
 %.pdf: %.texinfo $(DOCFILES) docstrings
-	texi2pdf $(I_FLAGS) $<
+	$(TEXI2PDF) $(I_FLAGS) $<
 
 # info docfiles
 .PHONY: info

## sbcl 1.0.40.0

=== contrib/asdf/Makefile ===
MODULE=asdf
include ../vanilla-module.mk


test::
	true

up:
	test -d asdf-upstream || \
	git clone \
	git://common-lisp.net/projects/asdf/asdf.git asdf-upstream
	: Using development ASDF. For stable ASDF, should use --branch release above.
	cd asdf-upstream && git pull
	cp asdf-upstream/asdf.lisp asdf.lisp
	cp asdf-upstream/doc/asdf.texinfo asdf.texinfo
	cp asdf-upstream/README README
	cd asdf-upstream ; make archive
	cp asdf-upstream/LICENSE LICENSE

=== doc/manual/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PDFFILES=sbcl.pdf asdf.pdf
 INFOFILES=sbcl.info asdf.info
 HTMLDIRS=$(basename $(SBCLTEXI)) $(basename $(ASDFTEXI))
+HTMLFILES=sbcl.html asdf.html
 # Place where generated documentation ends up. The value of
 # DOCSTRINGDIR has to end with a slash or you lose (it's passed to
 # Lisp's `pathname' function).
@@ -14,9 +15,13 @@
 CONTRIBDIR="../../contrib/"
 I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIBDIR)
 # List of contrib modules that docstring docs will be created for.
-MODULES=':sb-md5 :sb-rotate-byte :sb-grovel :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
+MODULES=':sb-md5 :sb-queue :sb-concurrency :sb-rotate-byte :sb-grovel \
+         :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
 # List of package names that docstring docs will be created for.
-PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP :SB-PROFILE :SB-THREAD :SB-MD5 :SB-ROTATE-BYTE :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX"
+PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP \
+	  :SB-PCL :SB-SYS \
+          :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE :SB-ROTATE-BYTE  \
+          :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX :SB-CONCURRENCY"
 
 # SBCL_SYSTEM is an optional argument to this make program. If this
 # variable is set, its contents are used as the command line for
@@ -53,8 +58,11 @@
 
 html-stamp: $(DOCFILES) docstrings
 	@rm -rf $(HTMLDIRS)
-	$(MAKEINFO) $(I_FLAGS) --html $(SBCLTEXI)
-	$(MAKEINFO) --html $(ASDFTEXI)
+	@rm -f $(HTMLFILES)
+	$(MAKEINFO) $(I_FLAGS) --html --css-include=style-multi.css $(SBCLTEXI)
+	$(MAKEINFO) --html --css-include=style-multi.css $(ASDFTEXI)
+	$(MAKEINFO) $(I_FLAGS) --html --no-split --css-include=style-single.css $(SBCLTEXI)
+	$(MAKEINFO) --html --no-split --css-include=style-single.css $(ASDFTEXI)
 	touch html-stamp
 
 # Postscript documentation
@@ -88,8 +96,15 @@
 # are in $(CONTRIBDIR).
 CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIBDIR)|g") -name '*.fasl')
 docstrings: $(CONTRIB_FASLS) tempfiles-stamp
-	for module in $(shell echo $(MODULES)); do test -e $(CONTRIBDIR)/$${module#:}/test-passed || { echo "The documented contrib $$module seems to have failed its tests." && exit 1; }; done
-	DOCSTRINGDIR=$(DOCSTRINGDIR) PACKAGES=$(PACKAGES) MODULES=$(MODULES) sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch $(DOCSTRINGDIR)
+	for module in $(shell echo $(MODULES)); do \
+		test -e $(CONTRIBDIR)/$${module#:}/test-passed \
+		|| { echo "The documented contrib $$module seems \
+                           to have failed its tests." && exit 1; } \
+	done
+	DOCSTRINGDIR=$(DOCSTRINGDIR) \
+	PACKAGES=$(PACKAGES) \
+	MODULES=$(MODULES) \
+	sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch $(DOCSTRINGDIR)
 
 tempfiles-stamp:
 	touch tempfiles-stamp
@@ -98,6 +113,7 @@
 clean: 
 	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
 	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
+	rm -f  $(HTMLFILES)
 	rm -f contrib-docs.texi-temp
 	rm -f package-locks.texi-temp
 	rm -f variables.texinfo

## sbcl 1.0.45.0

=== debian/changelog ===
sbcl (1:1.0.45.0-1ubuntu1) natty; urgency=low

  * Add --no-as-needed to LDFLAGS to prevent FTBFS,
    Patch propsed by Christoph Egger, fixes LP: #715498

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Feb 2011 11:48:12 +0100

sbcl (1:1.0.45.0-1) experimental; urgency=low

  * New Upstream Version
  * Rework install target
  * Add kfreebsd support
  * Move to format 3.0 (quilt)
  * Runn the tests

 -- Christoph Egger <christoph@debian.org>  Wed, 29 Dec 2010 15:21:28 +0100

sbcl (1:1.0.43.0-1) experimental; urgency=low

  * New upstream Version
   
 -- Christoph Egger <christoph@debian.org>  Fri, 01 Oct 2010 18:05:45 +0200

sbcl (1:1.0.42.0-1) experimental; urgency=low

  * Import new upstream. Major changes:
    * build changes 
       * Cross-compilation host is now specified to make.sh using
         command-line argument --xc-host=<command> instead of a
         positional argument. (thanks to Daniel Herring)
       * Install location can be specified to make.sh using
         command-line argument --prefix=<path>. (thanks to Daniel
         Herring)
      * optimization: The default implementation of
        COMPUTE-DISCRIMINATING-FUNCTION does much less wasted work.
      * enhancement: Explicit memory barrier operations are now
        available for use by multithreaded code.  See documentation
        for details.
      * enhancement: Experimental support for threading on Linux/PPC.
      * bug fix: RENAME-PACKAGE returns the package.  (Thanks to Eric
        Marsden)
      * bug fix: EXPT signals an error if first argument is a zero and
        second argument is a floating point zero. (thanks to Roman
        Marynchak)
      * bug fix: DEFTYPE signals an error for non-list lambda-lists.
        (thanks to Roman Marynchak)
      * bug fix: make ASDF-INSTALL compatible with the now-included
        ASDF2.  (reported by Phil Hargett; patch from Jim Wise)
      * optimization: validity of observed keyword initargs to
        MAKE-INSTANCE is cached, leading to many fewer expensive calls
        to COMPUTE-APPLICABLE-METHODS.
      * optimization: in the (unoptimized) general method for
        MAKE-INSTANCE on a CLASS argument, search for and call an
        appropriate optimized ctor function if it exists.
      * bug fix: WRITE always returns the correct value.
  * Bump standards version 3.9.0 → 3.9.1, no changes

 -- Christoph Egger <christoph@debian.org>  Wed, 15 Sep 2010 11:59:35 +0200

sbcl (1:1.0.40.0-2) unstable; urgency=low

  * Breaking too old cl-asdf (Closes: #573408)
  * Line-Break longer relationship lines

 -- Christoph Egger <christoph@debian.org>  Sat, 17 Jul 2010 11:22:25 +0200

sbcl (1:1.0.40.0-1) unstable; urgency=low

  * Import new upstream. Major changes:
    * bug fix: readdir now works on :inode64 darwin builds
    * bug fix: Name conflicts between symbols passed as arguments to a single
      call to IMPORT no longer add multiple symbols with the same name to the
      package (detectable via DO-SYMBOLS).
    * bug fix: support building without the dlshim on darwin x86 and x86-64.
    * bug fix: TRACE :ENCAPSULATE NIL now works on ppc/linux.
  * target experimental for now

 -- Christoph Egger <christoph@debian.org>  Sun, 04 Jul 2010 00:13:31 +0200

sbcl (1:1.0.39.0-2) unstable; urgency=medium

  * Build one monolitic html file -- avoiding too long file names
    (Closes: #587440)
  * Upgrade to standards version 3.9.0
    * Replace Confilcts: with Breaks where appropriate
  * urgency=medium due to rc bug fix

 -- Christoph Egger <christoph@debian.org>  Thu, 01 Jul 2010 19:12:33 +0200

sbcl (1:1.0.39.0-1) unstable; urgency=low

  * Import new upstream. Major changes:
    + bug fix: Backtrace from undefined function on x86 and x86-64 now show
      the calling frame.
    + bug fix: linkage-table entries on PPC now no longer overflow their
      space allocation (potentially causing crashes if they are written out
      of order).
    + bug fix: Scrub control stack after scavenging in gencgc on non-x86oid
      platforms, preventing the GC from seeing stale pointers on the control
      stack in subsequent GCs (which would, and does, break invariants).
    + bug fix: 32-bit unicode external formats now work on big-endian systems.
    + bug fix: Literal characters with code points greater than about 32767
      now work on PPC UNICODE builds.
    + bug fix: Any noise left by SSE operations (sqrt and conversions) in the
      high order bits are explicitly cleared out. In some contrived situations,
      this could lead to wrong results in mixed real/complex float arithmetic.
    + bug fix: Fix function/macro redefinition warnings when building with
      clisp.  (lp#576787, thanks to Josh Elsasser)
    + new platform: experimental support for ppc/openbsd (thanks to Josh
      Elsasser).
    + bug fix: Floating-point traps now work on ppc/linux.
    + incompatible change: Thread names are now restricted to SIMPLE-STRINGs
      like for any other thread-related datastructure, MUTEX, etc. (lp#547095)
    + deprecation: the SB-QUEUE contrib was merged into the SB-CONCURRENCY
      contrib module. New code should depend on SB-CONCURRENCY, not SB-QUEUE.
    + deprecation: SB-THEAD:GET-MUTEX was deprecated in favor of
      SB-THREAD:GRAB-MUTEX.
    + new contributed module: SB-CONCURRENCY is a new contrib; it's supposed to
      contain additional data structures and tools for concurrent programming;
      at the moment it contains a lock-free queue, and a lock-free mailbox
      implementation.
    + new feature: added SB-THREAD:GRAB-MUTEX; it's like the now deprecated
      GET-MUTEX but takes &key rather than &optional parameters.  Also added
      :TIMEOUT argument to GRAB-MUTEX on non-sb-lutex platforms like Linux and
      BSD.
    + new feature: added SB-THREAD:TRY-SEMAPHORE, a non-blocking variant of
      SB-THREAD:WAIT-ON-SEMAPHORE.
    + new feature: SB-EXT:ATOMIC-DECF has been added as a companion to
      SB-EXT:ATOMIC-INCF.


=== debian/control ===
Source: sbcl
Section: lisp
Priority: optional
Homepage: http://www.sbcl.org
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: dh-lisp,
 debhelper (>> 7.0.0),
 sbcl (>> 1:0.9.5.50-9),
 texinfo,
 texlive-extra-utils,
 texlive,
 locales,
 graphviz,
 ghostscript,
 texlive-generic-recommended,
 texlive-font-utils
Standards-Version: 3.9.1
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git

Package: sbcl
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cl-clx-sbcl (<= 0.7.0-1),
 common-lisp-controller (<< 6.18),
 cl-asdf (<= 2:1.502)
Suggests: sbcl-doc,
 sbcl-source,
 slime
Provides: lisp-compiler, ${sbcl:fasl-version}
Recommends: binfmt-support (>= 1.1.2)
Description: A Common Lisp compiler and development system
 SBCL is a development environment for the ANSI Common Lisp language.
 It provides a native-code compiler and an integrated debugger, as well
 as all the features in the ANSI specification.
 .
 SBCL also contains other extensions to the ANSI specification, including
 a foreign-function interface, a pseudo-server API, user-extensible
 stream functionality, a Meta-Object Protocol, and an ability to run
 external processes.
 .
 To browse SBCL source definitions with development environments,
 install the sbcl-source package. For documentation on SBCL's usage
 and internals, the package sbcl-doc is provided.
 .

Package: sbcl-doc
Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Breaks: sbcl-common (<= 1:0.9.13.0-2)
Architecture: all
Description: Documentation for Steel Bank Common Lisp
 This package provides documentation for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The documents in this package cover SBCL-specific extensions to the
 language, explain how to use this Common Lisp implementation and how
 it differs from the ANSI standard.
 .
 The manual about SBCL's internals is also included in this package
 and may be of interest for people who intent to work with SBCL's
 source code.
 .

Package: sbcl-source
Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: sbcl-common (<= 1:0.9.13.0-2)
Architecture: all
Description: Source code files for SBCL
 This package provides the source code for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The source code is useful in conjunction with development
 environments and debuggers like SLIME, that allow macro expansion and
 lookup of source definitions.
 .
 Installing this package enables your source browser to dig deeply
 into the core of Steel Bank Common Lisp.
 .

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--no-as-needed
LOCALE_PATH=debian/tmpdir/usr/lib/locale
LOCALE_NAME=en_US
LOCALE_CHARSET=UTF-8
HOME = $(shell pwd)
export HOME

export SHELL=/bin/bash
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export sbcl_arch=$(shell dpkg-architecture -qDEB_BUILD_ARCH |sed s/i386/x86/)
ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq (${ARCH},powerpc)
   CFLAGS:=-O2
endif

pkg=sbcl
TARGET=debian/sbcl
SOURCE_TARGET=debian/sbcl-source
DOC_TARGET=debian/sbcl-doc
DESTDIR=$(CURDIR)/debian/tmp/usr

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

configure: configure-stamp
configure-stamp:
ifneq (,$(filter x86 amd64,$(sbcl_arch)))
	echo "(lambda (list) (pushnew :sb-thread list) (pushnew :sb-futex list) list)" > customize-target-features.lisp 
else
  ifeq (${sbcl_arch},alpha)
	cp debian/ld-script.alpha-linux src/runtime
  endif
endif
ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
       echo "(lambda (list) (pushnew  :os-provides-dlopen list) list)" > customize-target-features.lisp
endif

	dh_testdir

	touch configure-stamp

build: configure-stamp build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: 
	dh_testdir
#   create the locale:
	mkdir -p ${LOCALE_PATH}
	localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
	export LANG=en_US.UTF-8
	export LOCPATH=${LOCALE_PATH} 
#   Using the locale

	+echo environment:
	env
	+echo

#   make scripts runable
	chmod a+x ./src/runtime/linux-nm ./make.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
	echo "using sbcl to rebuild with core /usr/lib/sbcl/sbcl-dist.core, checking"
	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl-dist.core
	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
	mkdir stage1
	mv output/sbcl.core src/runtime/sbcl stage1/
#   save stage1
	tar cvf stage1.tar stage1/
	rm -rf stage1 || true
	sh clean.sh || true
#   restore stage1
	tar xvf stage1.tar
	rm stage1.tar
	echo "rebuild again with new version"
	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh "`pwd`/stage1/sbcl --core `pwd`/stage1/sbcl.core --sysinit /dev/null --userinit /dev/null --disable-debugger"

	make -C doc/internals all html

#   start running tests
	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"
#   see what the result is
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: 
	dh_testdir
	cd doc/manual && make docstrings && make
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot

	rm -rf target || true
	rm -rf stage1 || true
	rm -rf debian/tmpdir || true
	rm -rf .fontconfig || true
#   Add here commands to clean up after the build process.
	GNUMAKE=make sh clean.sh || true
	(cd src/runtime ; touch Config ; make clean ) || true
#   clean up CVS stuff
	rmdir contrib/systems/ obj/ output/ || true

	make -C doc/internals clean

	dh_clean

install:  build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	INSTALL_ROOT="$(DESTDIR)" sh install.sh
	mv $(DESTDIR)/lib/sbcl/sbcl.core $(DESTDIR)/lib/sbcl/sbcl-dist.core

	dh_install

	cp debian/binfmt $(TARGET)/usr/share/binfmts/sbcl
	cp debian/sbcl-run $(TARGET)/usr/lib/sbcl
	chmod a+x $(TARGET)/usr/lib/sbcl/sbcl-run

	find $(TARGET)/usr/lib/sbcl/ -type f -name \*.c -exec chmod -x '{}' \;

#   move the indep stuff
	dh_installinfo -psbcl-doc $(DESTDIR)/share/info/sbcl.info 
	rm $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
	rm $(DESTDIR)/share/doc/sbcl/asdf.pdf

	cp debian/index-docs.html \
		$(DOC_TARGET)/usr/share/doc/sbcl-doc/html/index.html

	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf-install/asdf-install	
	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf/LICENSE


	find $(SOURCE_TARGET)/usr/share/sbcl-source -type f -name \*.fasl -or -name \*.o -or -name \*.log \
		-or -name \*.so -or -name a.out | xargs rm
	find $(SOURCE_TARGET)/usr/share/sbcl-source/ -type f -name \*.c -exec chmod -x '{}' \;
	rm $(SOURCE_TARGET)/usr/share/sbcl-source/src/runtime/sbcl  
	rm $(SOURCE_TARGET)/usr/share/sbcl-source/src/runtime/sbcl.nm 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installdebconf -i
	dh_installcron -i
	dh_installinfo -i
	dh_installman -i
	dh_link -i
	dh_lintian -i
	dh_compress -i -X *.html
	dh_fixperms -i
	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_lisp sbcl
	dh_installdeb -a
	dh_shlibdeps -a

#   add the FASL version of this release to substvars
	stage1/sbcl --core stage1/sbcl.core --load "debian/fasl-version.lisp"

	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sbcl 1.0.48.0

=== debian/changelog ===
sbcl (1:1.0.48.0-2) unstable; urgency=low

  * Fix build error on kfreebsd-amd64 due to changed signal handling in
    glibc -- previously we got a SIGBUS now we get a SIGSEGV

 -- Christoph Egger <christoph@debian.org>  Mon, 16 May 2011 00:33:29 +0200

sbcl (1:1.0.48.0-1) unstable; urgency=low

  * New upstream release
  * Explain missing asdf (Closes: ##623633)
  * Fix missing '/' in doc-base registration

 -- Christoph Egger <christoph@debian.org>  Wed, 11 May 2011 00:05:37 +0200

sbcl (1:1.0.47.0-2) unstable; urgency=low

  * Fix core file location, dh-lisp update (Closes: #620011)

 -- Christoph Egger <christoph@debian.org>  Tue, 29 Mar 2011 20:18:38 +0200

sbcl (1:1.0.47.0-1) unstable; urgency=low

  * New upstream Version

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Mar 2011 19:13:40 +0200

sbcl (1:1.0.46.0-2) unstable; urgency=low

  * Fix sbcl-doc
    * Install sbcl.html into html subdirectory
    * Change link in html/index.html to point to the new file, not to the
      directory removed in 1.0.39-2 (Closes: #589022)
  * add vcs browser field

 -- Christoph Egger <christoph@debian.org>  Wed, 23 Feb 2011 19:40:45 +0100

sbcl (1:1.0.46.0-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Mon, 21 Feb 2011 16:36:44 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  texlive-font-utils
 Standards-Version: 3.9.1
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
+Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386

## sbcl 1.0.49.0

=== debian/changelog ===
sbcl (1:1.0.49.0-1) unstable; urgency=low

  * New upstream release
  * Update Policy version from .1 to .2 -- no changes

 -- Christoph Egger <christoph@debian.org>  Mon, 06 Jun 2011 12:13:37 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary

## sbcl 1.0.50.0

=== debian/changelog ===
sbcl (1:1.0.50.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 12 Jul 2011 22:47:18 +0200

## sbcl 1.0.52.0

=== debian/changelog ===
sbcl (2:1.0.52.0-1) unstable; urgency=low

  * New upstream release
  * No longer exibits problems with dpkg-source (Closes: #643273)

 -- Christoph Egger <christoph@debian.org>  Mon, 10 Oct 2011 22:05:41 +0200

sbcl (2:1.0.51.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 22 Aug 2011 16:02:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  graphviz,
  ghostscript,
  texlive-generic-recommended,
- texlive-font-utils
+ texlive-font-utils,
+ time
 Standards-Version: 3.9.2
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
@@ -30,7 +31,7 @@
  slime
 Provides: lisp-compiler, ${sbcl:fasl-version}
 Recommends: binfmt-support (>= 1.1.2)
-Description: A Common Lisp compiler and development system
+Description: Common Lisp compiler and development system
  SBCL is a development environment for the ANSI Common Lisp language.
  It provides a native-code compiler and an integrated debugger, as well
  as all the features in the ANSI specification.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-LDFLAGS += -Wl,--no-as-needed
+
 LOCALE_PATH=debian/tmpdir/usr/lib/locale
 LOCALE_NAME=en_US
 LOCALE_CHARSET=UTF-8
@@ -66,8 +66,8 @@
 	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
 	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
 	echo "using sbcl to rebuild with core /usr/lib/sbcl/sbcl-dist.core, checking"
-	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl-dist.core
-	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
+	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl.core
+	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
 	mkdir stage1
 	mv output/sbcl.core src/runtime/sbcl stage1/
 #   save stage1
@@ -118,7 +118,6 @@
 	dh_installdirs
 
 	INSTALL_ROOT="$(DESTDIR)" sh install.sh
-	mv $(DESTDIR)/lib/sbcl/sbcl.core $(DESTDIR)/lib/sbcl/sbcl-dist.core
 
 	dh_install

## sbcl 1.0.53.0

=== debian/changelog ===
sbcl (2:1.0.53.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 07 Nov 2011 01:34:47 +0100

sbcl (2:1.0.52.0-2) unstable; urgency=low

  * Enable gzip compression
  * Do not recreate version file

 -- Christoph Egger <christoph@debian.org>  Sun, 30 Oct 2011 14:06:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper (>> 7.0.0),
  sbcl (>> 1:0.9.5.50-9),
  texinfo,
+ zlib1g-dev,
  texlive-extra-utils,
  texlive,
  locales,
@@ -44,7 +45,6 @@
  To browse SBCL source definitions with development environments,
  install the sbcl-source package. For documentation on SBCL's usage
  and internals, the package sbcl-doc is provided.
- .
 
 Package: sbcl-doc
 Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
@@ -63,7 +63,6 @@
  The manual about SBCL's internals is also included in this package
  and may be of interest for people who intent to work with SBCL's
  source code.
- .
 
 Package: sbcl-source
 Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
@@ -80,4 +79,3 @@
  .
  Installing this package enables your source browser to dig deeply
  into the core of Steel Bank Common Lisp.
- .

## sbcl 1.0.54.0

=== debian/changelog ===
sbcl (2:1.0.54.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 06 Dec 2011 21:50:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,18 +27,21 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
+FEATURES=":sb-core-compression"
+
+ifneq (,$(filter x86 amd64,$(sbcl_arch)))
+	FEATURES += " :sb-thread :sb-futex"
+endif
+
+ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
+	FEATURES += " :os-provides-dlopen"
+endif
+
 configure: configure-stamp
 configure-stamp:
-ifneq (,$(filter x86 amd64,$(sbcl_arch)))
-	echo "(lambda (list) (pushnew :sb-thread list) (pushnew :sb-futex list) list)" > customize-target-features.lisp 
-else
-  ifeq (${sbcl_arch},alpha)
-	cp debian/ld-script.alpha-linux src/runtime
-  endif
-endif
-ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
-       echo "(lambda (list) (pushnew  :os-provides-dlopen list) list)" > customize-target-features.lisp
-endif
+	echo "(lambda (features) (setf features (union features (list $(FEATURES)))))" > customize-target-features.lisp
+
+	cat customize-target-features.lisp
 
 	dh_testdir

## sbcl 1.0.55.0

=== debian/changelog ===
sbcl (2:1.0.55.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 09 Jan 2012 21:50:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,8 @@
 	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl.core
 	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
 	mkdir stage1
-	mv output/sbcl.core src/runtime/sbcl stage1/
+	mv output/sbcl.core stage1/stage1.cor_
+	mv src/runtime/sbcl stage1/stage1
 #   save stage1
 	tar cvf stage1.tar stage1/
 	rm -rf stage1 || true
@@ -81,7 +82,7 @@
 	tar xvf stage1.tar
 	rm stage1.tar
 	echo "rebuild again with new version"
-	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh "`pwd`/stage1/sbcl --core `pwd`/stage1/sbcl.core --sysinit /dev/null --userinit /dev/null --disable-debugger"
+	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh --prefix="/usr/" --xc-host="`pwd`/stage1/stage1 --core `pwd`/stage1/stage1.cor_ --sysinit /dev/null --userinit /dev/null --disable-debugger"
 
 	make -C doc/internals all html
 
@@ -189,7 +190,7 @@
 	dh_shlibdeps -a
 
 #   add the FASL version of this release to substvars
-	stage1/sbcl --core stage1/sbcl.core --load "debian/fasl-version.lisp"
+	stage1/stage1 --core stage1/stage1.cor_ --load "debian/fasl-version.lisp"
 
 	dh_gencontrol -a
 	dh_md5sums -a

## sbcl 1.0.57.0

=== debian/changelog ===
sbcl (2:1.0.57.0-2ubuntu1) quantal; urgency=low

  * Re-enable and re-bootstrap sbcl on powerpc (closes: #681808)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Jul 2012 13:18:45 -0600

sbcl (2:1.0.57.0-2) unstable; urgency=low

  * Depend on netbase as it provides /etc/protocols

 -- Christoph Egger <christoph@debian.org>  Sat, 16 Jun 2012 00:00:53 +0200

sbcl (2:1.0.57.0-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Tue, 22 May 2012 19:26:00 +0200

sbcl (2:1.0.56.0-1) unstable; urgency=low

  * New upstream release
    * bug fix: fix copy-structure.  When copying from stack to heap, garbage
      could end up in the heap making GC unhappy.
      (Thanks to James Knight, lp#911027)
    * enhancements
      * SBCL can now be built using Clang.
      * ASDF has been updated 2.20.
    * bug fix: compiler errors when weakening hairy integer types. (lp#913232)
    * bug fix: don't complain about a too-hairy lexical environment for inlining
      when the function has never been requested for inlining.  (lp#963530)
  
 -- Christoph Egger <christoph@debian.org>  Sat, 14 Apr 2012 13:58:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
@@ -16,13 +17,14 @@
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
- time
+ time,
+ netbase
 Standards-Version: 3.9.2
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),
